/*-
 * ============LICENSE_START=======================================================
 * SdncActorServiceProvider
 * ================================================================================
 * Copyright (C) 2018-2019 Huawei Intellectual Property. All rights reserved.
 * Modifications Copyright (C) 2019 Nordix Foundation.
 * Modifications Copyright (C) 2019-2020 AT&T Intellectual Property.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.controlloop.actor.guard;

import org.onap.policy.controlloop.actorserviceprovider.impl.HttpActor;
import org.onap.policy.controlloop.actorserviceprovider.impl.OperationPartial;

public class GuardActorServiceProvider extends HttpActor<GuardActorParams> {
    // actor name
    public static final String NAME = OperationPartial.GUARD_ACTOR_NAME;

    /**
     * Constructs the object.
     */
    public GuardActorServiceProvider() {
        super(NAME, GuardActorParams.class);

        addOperator(new DecisionOperator(NAME, DecisionOperation.NAME, DecisionOperation::new));
    }
}
